The bug tracker for setuptools 0.7 or higher is on BitBucket

 

Issue58

Title find_on_path on systems with tight permissions
Priority bug Status resolved
Superseder Nosy List andrenth, pje
Assigned To Keywords

Created on 2009-02-02.16:26:54 by andrenth, last changed 2009-10-19.19:30:11 by pje.

Messages
msg420 (view) Author: pje Date: 2009-10-19.19:30:11
setuptools 0.6c10 is released with a fix for this issue.
msg233 (view) Author: andrenth Date: 2009-02-02.16:26:54
Hello

I'm using setuptools on a server with tight permissions; a normal user is not
allowed to list the contents of certain directories, including /usr/bin, which
setuptools tries to scan when searching for .egg files. Thus, running any
command installed from setuptools fails with

  OSError: [Errno 13] Permission denied: '/usr/bin'

The following change in find_on_path(), in pkg_resources.py, makes it ignore
directories which it cannot read:

  -if os.path.isdir(path_item):
  +if os.path.isdir(path_item) and os.access(path_item, os.R_OK):

Do you think this could be applied?

Thanks,
Andre
History
Date User Action Args
2009-10-19 19:30:11pjesetstatus: in-progress -> resolved
nosy: + pje
messages: + msg420
2009-10-10 22:00:03pjesetstatus: unread -> in-progress
2009-02-02 16:26:54andrenthcreate